Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Bar_LineInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.ColumnInfo
              jet.report.xls.Bar_LineInfo

    public class Bar_LineInfo

extends ColumnInfo

contains the information of bar_line chart type in the file. The class extends ColumnInfo

Field Summary

Fields inherited from class jet.report.xls.ColumnInfo
`F100STACKED, NORMAL, STACKED`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`Bar_LineInfo(short dataLabel, short style)` Constructs class BarInfo and sets its fields appropriately.
`Bar_LineInfo(short dataLabel, short style, boolean needConvert)`

Method Summary
`void` | `convert()`
`int` | `getChartType()` Get the type of the chart
`short` | `getLineStyle()` Get the style of the line
`short` | `getMarkStyle()` Get the style of line marks
`ChartLabelInfo` | `getX1AxisName()` Get the minor x axis name of bar_line chart
`ChartLabelInfo` | `getY1AxisName()` Get the minor y axis name of bar_line chart
`boolean` | `needConvert()`
`void` | `setLineStyle(short lineStyle)` Set the style of the line
`void` | `setMarkStyle(short markStyle)` Set the style of line marks
`void` | `setX1AxisName(ChartLabelInfo x1AxisName)` Set the minor x axis name of bar_line chart
`void` | `setY1AxisName(ChartLabelInfo y1AxisName)` Set the minor y axis name of bar_line chart

Methods inherited from class jet.report.xls.ColumnInfo
`getSpbBars, getSpbCats, getStyle, hasShadow, setHasShadow, setSpbBars, setSpbCats, setStyle`

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bar_LineInfo

    public Bar_LineInfo(short dataLabel,
                        short style)

  Constructs class BarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label
    `style` - Style of bar

### Bar_LineInfo

    public Bar_LineInfo(short dataLabel,
                        short style,
                        boolean needConvert)

Method Detail

### needConvert

    public boolean needConvert()

### convert

    public void convert()

### getChartType

    public int getChartType()

  Get the type of the chart

  Overrides:
    `getChartType` in class `ColumnInfo`
  Returns:
    type of the chart

### getMarkStyle

    public short getMarkStyle()

  Get the style of line marks

  Returns:
    style of line marks
  See Also:
    `NONE`, `SQUARE`, `DIAMOND`, `TRIANGLE`, `X`, `STAR`, `DOWJONES`, `DEVIATION`, `CIRCLE`, `PLUSSIGN`

### setMarkStyle

    public void setMarkStyle(short markStyle)

  Set the style of line marks

  Parameters:
    `markStyle` - style of line marks
  See Also:
    `NONE`, `SQUARE`, `DIAMOND`, `TRIANGLE`, `X`, `STAR`, `DOWJONES`, `DEVIATION`, `CIRCLE`, `PLUSSIGN`

### getX1AxisName

    public ChartLabelInfo getX1AxisName()

  Get the minor x axis name of bar_line chart

  Returns:
    the minor x axis name of bar_line chart

### setX1AxisName

    public void setX1AxisName(ChartLabelInfo x1AxisName)

  Set the minor x axis name of bar_line chart

  Parameters:
    `x1AxisName` - the minor x axis name of bar_line chart

### getY1AxisName

    public ChartLabelInfo getY1AxisName()

  Get the minor y axis name of bar_line chart

  Returns:
    the minor y axis name of bar_line chart

### setY1AxisName

    public void setY1AxisName(ChartLabelInfo y1AxisName)

  Set the minor y axis name of bar_line chart

  Parameters:
    `y1AxisName` - the minor y axis name of bar_line chart

### getLineStyle

    public short getLineStyle()

  Get the style of the line

  Returns:
    style of the line
  See Also:
    `NORMAL`, `STACKED`, `F100STACKED`

### setLineStyle

    public void setLineStyle(short lineStyle)

  Set the style of the line

  Parameters:
    `lineStyle` - Style of the line
  See Also:
    `NORMAL`, `STACKED`, `F100STACKED`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD